Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Interface ActionDispatcher

All Known Implementing Classes:
  DefaultActionDispatcher

public interface ActionDispatcher

Allow PEAction's to know upon which target they must act.

This allows PEAction's,

- either to be shared across multiple PECanvas's in the context of a MDI user interface (in which case the UI implementation should provide its own ActionDispatcher),
- or to be attached permanently to a given PECanvas (use DefaultActionDispatcher for that)

Since:
  jPicEdt
Author:
  Sylvain Reynal

Method Summary
`PECanvas` | `getTarget()` return the PECanvas upon which a PEAction should act.

Method Detail

### getTarget

    public PECanvas getTarget()

  return the PECanvas upon which a PEAction should act.

  Since:
    jPicEdt

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org